Exemplo n.º 1
0
 void DisplayPipeline_CalculateBoundingBox(object sender, Rhino.Display.CalculateBoundingBoxEventArgs e)
 {
   if (m_draw_single_sprite)
   {
     BoundingBox bbox = new BoundingBox(new Point3d(20, 0, 0), new Point3d(20, 0, 0));
     e.IncludeBoundingBox(bbox);
   }
   else
   {
     var items = GetItems();
     e.IncludeBoundingBox(items.BoundingBox);
   }
 }
 protected override void CalculateBoundingBox(Rhino.Display.CalculateBoundingBoxEventArgs e)
 {
   if (null != Mesh)
   {
     Rhino.Geometry.BoundingBox bbox = Mesh.GetBoundingBox(false);
     // Unites a bounding box with the current display bounding box in
     // order to ensure dynamic objects in "box" are drawn.
     e.IncludeBoundingBox(bbox);
   }
 }
Exemplo n.º 3
0
 void DisplayPipeline_CalculateBoundingBox(object sender, Rhino.Display.CalculateBoundingBoxEventArgs e)
 {
     e.IncludeBoundingBox(this.BoundingBox());
 }